### Method

# Vips Image dzsave_target

#### Declaration [src]

    int
    vips_dzsave_target (
      VipsImage* in,
      VipsTarget* target,
      ...
    )

#### Description [src]

As `vips_dzsave()`, but save to a target.

Optional arguments

- `basename`: `gchararray`, base part of name
- `layout`: `VipsForeignDzLayout`, directory layout convention
- `suffix`: `gchararray`, suffix for tiles
- `overlap`: `gint`, set tile overlap
- `tile_size`: `gint`, set tile size
- `background`: `VipsArrayDouble`, background colour
- `depth`: `VipsForeignDzDepth`, how deep to make the pyramid
- `centre`: `gboolean`, centre the tiles
- `angle`: `VipsAngle`, rotate the image by this much
- `container`: `VipsForeignDzContainer`, set container type
- `compression`: `gint`, zip deflate compression level
- `region_shrink`: `VipsRegionShrink`, how to shrink each 2x2 region
- `skip_blanks`: `gint`, skip tiles which are nearly equal to the background
- `id`: `gchararray`, id for IIIF properties
- `Q`: `gint`, quality factor

See also

`vips_dzsave()`, `vips_image_write_to_target()`.

This method is not directly available to language bindings.

#### Parameters

`target`

  Type: `VipsTarget`

  Save image to this target.

  The data is owned by the caller of the method.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.